VSTGUI: IUIDescriptionAddOn Struct Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
IUIDescriptionAddOn Struct Referenceabstract

`#include <iuidescriptionaddon.h>`

Inheritance diagram for IUIDescriptionAddOn:

## Public Types
using | CreateTemplateViewFunc

## Public Member Functions
virtual | ~IUIDescriptionAddOn () noexcept=default
virtual void | afterParsing (IUIDescription *desc)=0
| called after the desc was parsed
virtual void | beforeSaving (IUIDescription *desc)=0
| called before the desc is saved
virtual void | onDestroy (IUIDescription *desc)=0
| called when the desc is going to be destroyed
virtual CreateTemplateViewFunc | onCreateTemplateView (const IUIDescription *desc, const CreateTemplateViewFunc &f)=0
| called when a new template view should be created.
virtual IViewFactory * | getViewFactory (IUIDescription *desc, IViewFactory *originalFactory)=0
| the add-on can wrap the view factory or return the original one if not needed
virtual void | onEditingStart (IUIDescription *desc)=0
| called when the desc is going into edit mode
virtual void | onEditingEnd (IUIDescription *desc)=0
| called when the desc is going out of edit mode

## Member Typedef Documentation

## ◆ CreateTemplateViewFunc

using CreateTemplateViewFunc

Initial value:
std::function<CView*(UTF8StringPtr name, IController* controller)>
VSTGUI::CView
Base Class of all view objects.
Definition cview.h:51
VSTGUI::IController
extension to IControlListener used by UIDescription
Definition icontroller.h:20
VSTGUI::UTF8StringPtr
const char * UTF8StringPtr
UTF8 String pointer.
Definition vstguibase.h:218

## Constructor & Destructor Documentation

## ◆ ~IUIDescriptionAddOn()

virtual ~IUIDescriptionAddOn | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ afterParsing()

virtual void afterParsing | ( | IUIDescription * | desc | ) |
| pure virtual

called after the desc was parsed

Implemented in UIDescriptionAddOnAdapter.

## ◆ beforeSaving()

virtual void beforeSaving | ( | IUIDescription * | desc | ) |
| pure virtual

called before the desc is saved

Implemented in UIDescriptionAddOnAdapter.

## ◆ getViewFactory()

virtual IViewFactory * getViewFactory | ( | IUIDescription * | desc,
|  | IViewFactory * | originalFactory )
| pure virtual

the add-on can wrap the view factory or return the original one if not needed

Implemented in UIDescriptionAddOnAdapter.

## ◆ onCreateTemplateView()

virtual CreateTemplateViewFunc onCreateTemplateView | ( | const IUIDescription * | desc,
|  | const CreateTemplateViewFunc & | f )
| pure virtual

called when a new template view should be created.

The provided CreateTemplateViewFunc can be used to create the view in a normal way

Implemented in UIDescriptionAddOnAdapter.

## ◆ onDestroy()

virtual void onDestroy | ( | IUIDescription * | desc | ) |
| pure virtual

called when the desc is going to be destroyed

Implemented in UIDescriptionAddOnAdapter.

## ◆ onEditingEnd()

virtual void onEditingEnd | ( | IUIDescription * | desc | ) |
| pure virtual

called when the desc is going out of edit mode

Implemented in UIDescriptionAddOnAdapter.

## ◆ onEditingStart()

virtual void onEditingStart | ( | IUIDescription * | desc | ) |
| pure virtual

called when the desc is going into edit mode

Implemented in UIDescriptionAddOnAdapter.

The documentation for this struct was generated from the following file:

- iuidescriptionaddon.h